Bugs that should be fixed post 1.17 WMF deployment (tracking)
Closed, ResolvedPublic

Assigned To
None
Priority
Normal
Author
Reedy
Blocks
T4007: Tracking bug (tracking)
T28439: Deploy updated WMF branch to production (February 2011)
Blocked By
T29608: sortable code broken due to r73270
T29577: Gallery perrow width is overestimated
T29575: The revision tag pop up disappears without giving the user a chance to click the links in it
T29547: Text excerpt should start on a new line in file search results
T29546: RSS/Atom feed of user contributions broken due to deletedOnly param in link
T29544: SVG images that are invalid XML no longer rendered
T29539: some pagelist parameters are no longer passed to the extension
T29534: proofreadpage JS error.
T29533: LiquidThreads namespaces are missing on Swedish Wikisource since 16 February 2011
T29524: LocalisationUpdate failed
T29526: Regression: email user does not support &target= anymore
T29515: wgVectorModules , wgWikiEditorModules JS variables removed, breaks back compat
T29506: <gallery> is printed in 1 file per row
T29499: "Stub size threshold" in preferences doesn't work
T29496: Edit screen autoscrolling
T29495: Change NS_USER and NS_USER_TALK namespaces at ptwiki
T29489: Update math/texvc module on WMF projects
T29486: Special:Import ignoring destination namespace, providing incorrect source in logs
T29484: File pages created by UploadWizard in Explorer have empty categories
T29481: Wrong removal of spaces in javascript
T29477: [Regression!] ImageInfo API query returns descriptionUrl = false if file comes from local repository
T29472: Foreign files now have (( )) instead of ()
T29470: Upload blacklist for target names not being applied
T29471: WikiEditor toolbar shows up unexpectedly
T29465: SVG thumbnail generation fails due to bad namespace handling in SVGMetadataExtractor
T29467: preload can leave UNIQ
T29454: <pages> tag from ProofreadPage extension broken on enwikisource since 1.17 upgrade
T29448: meta:Special:BannerLoader is loaded using http protocol when using secure server (https)
T29430: Special:CentralAuth shouldn't use always minutes
T29372: Bugs in debug mode on simple wikipedia
T29368: 1.17 deployment enables enhanced toolbar even when disabled in prefs
T29352: Wikimedia deployment needs /w/resources directory symlinked or overridden for debug mode
T29354: "log me in globally" is logging me out in 1.17
T29338: Gallery in 1.17 breaks for audio/video + ogghandler
T29330: revreview-editnotice is aligned LTR in he.wikisource
T29328: using relative paths in CSS imports in MediaWiki:Common.css broken in 1.17
T29302: RL: Avoid unnecessary and uncached requests for user and site modules
T30568: clear iwlinks on page deletion
T30352: self unblock with username does not work under 1.17
T30166: UploadBase assumes that 'edit' and 'upload' rights are not per page restrictions
T30034: uploading file to local wiki when file exists on shared repository (commons) gives spurious info in the warning message
T30020: Category sort key (cl_sortkey_prefix) set to wrong value when a page is moved and stays that way
T29982: deformed layout of ogg player options in new gallery
T29977: Footer "floated" left in monobook
T29962: No user redirection to mobile site
T29961: Deploy translations made to the Vector extension after December 2010
T29956: Large category not registering all files
T29931: Talkpage notice mails out of sync
T29891: Old version seen immediately after edit
T29822: Fatal error on Commons: LocalRepo::newFileFromRow: invalid row
T29761: Links to page with ux don't display in Esperanto Wikipedia (eo.wikipedia.org)
T29753: NewUserMessage extension doesn't subst where it should or adds the wrong template
T29727: Fix and restart job runners for Wikimedia wikis
T29722: filearchive api module doesn't respect revdelete
T29715: prop=imageinfo shows suppressed data for oldimages
T29690: Delayed redirect from main site for mobile users (1.17 regression)
T29680: [Regression!] Special:Watchlist/edit doesn't have wgCanonicalSpecialPageName = "Watchlist"
T29679: Ugly encoding in red file links containing an ampersand
T29671: Search suggest no longer suggests canonical names of special pages
Subscribers
TheDJ, MarkAHershberger, Platonides and 3 others
Projects
Reference
bz27339
Description

Tracking for bugs that don't need to block deployment, but do need fixing sometime soon afterwards


Version: unspecified
Severity: normal

bzimport added a subscriber: wikibugs-l.
bzimport set Reference to bz27339.
Reedy created this task.Via LegacyFeb 11 2011, 9:35 PM
TheDJ added a comment.Via ConduitFeb 25 2011, 9:09 AM

dupe

  • This bug has been marked as a duplicate of bug 27470 ***
TheDJ added a comment.Via ConduitFeb 25 2011, 9:13 AM

Sorry, pasted into the wrong field.

RobLa-WMF added a comment.Via ConduitMar 3 2011, 2:17 AM

I'd like to go through this list and make sure everything that's still open is a regression from 1.16.

Reedy added a comment.Via ConduitSep 18 2011, 7:08 PM

Moved to 1.18 post deployment

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.